Read campaign
curl --request GET \
--url https://api.sigmora.org/v1/campaigns/{campaignId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sigmora.org/v1/campaigns/{campaignId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sigmora.org/v1/campaigns/{campaignId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"campaign": {
"id": "<string>",
"title": "<string>",
"description": "<string>",
"connectedAccountIds": [
"<string>"
],
"platforms": [
"tiktok"
],
"automationMode": "manual",
"status": "draft",
"scheduledAt": "2023-11-07T05:31:56Z",
"remixJobIds": [
"<string>"
],
"playbookId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"projectIds": [
"<string>"
],
"agentId": "<string>",
"assetCount": 4503599627370495
},
"posts": [
{
"id": "<string>",
"campaignId": "<string>",
"projectId": "<string>",
"platform": "<string>",
"title": "<string>",
"content": "<string>",
"status": "<string>",
"scheduledAt": "2023-11-07T05:31:56Z",
"mediaUrl": "<string>",
"productId": "<string>",
"productTargetId": "<string>"
}
]
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}Read campaign
Read a campaign and its scheduled or published posts.
GET
/
v1
/
campaigns
/
{campaignId}
Read campaign
curl --request GET \
--url https://api.sigmora.org/v1/campaigns/{campaignId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sigmora.org/v1/campaigns/{campaignId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sigmora.org/v1/campaigns/{campaignId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"success": true,
"campaign": {
"id": "<string>",
"title": "<string>",
"description": "<string>",
"connectedAccountIds": [
"<string>"
],
"platforms": [
"tiktok"
],
"automationMode": "manual",
"status": "draft",
"scheduledAt": "2023-11-07T05:31:56Z",
"remixJobIds": [
"<string>"
],
"playbookId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"projectIds": [
"<string>"
],
"agentId": "<string>",
"assetCount": 4503599627370495
},
"posts": [
{
"id": "<string>",
"campaignId": "<string>",
"projectId": "<string>",
"platform": "<string>",
"title": "<string>",
"content": "<string>",
"status": "<string>",
"scheduledAt": "2023-11-07T05:31:56Z",
"mediaUrl": "<string>",
"productId": "<string>",
"productTargetId": "<string>"
}
]
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": false,
"error": "<string>",
"code": "invalid_request",
"details": "<unknown>",
"requestId": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}Authorizations
A workspace API key.
Path Parameters
A campaign id, from GET /v1/campaigns.
Required string length:
1 - 200Example:
"cmp_5a72"